.img-responsive
  max-width: 100%
  display: block
  height: auto
.truncate
  white-space: nowrap
  overflow: hidden
  text-overflow: ellipsis

  
/* mixin for multiline */
@mixin multiLineEllipsis($lineHeight: 1.2em, $lineCount: 1, $bgColor: white)
  overflow: hidden
  position: relative
  line-height: $lineHeight
  max-height: $lineHeight * $lineCount
  text-align: justify
  margin-right: -1em
  padding-right: 1em
  &:before
    content: '...'
    position: absolute
    right: 0
    bottom: 0
  &:after
    content: ''
    position: absolute
    right: 0
    width: 1em
    height: 1em
    margin-top: 0.2em
    background: $bgColor

.truncate-multilines
  overflow: hidden
  text-overflow: ellipsis    
  display: -webkit-box    
  -webkit-line-clamp: 3
  -webkit-box-orient: vertical 
  word-wrap: break-word    
  line-height: 1.2    
  max-height: 4rem 
  

.teste 
  @include multiLineEllipsis($lineHeight: 1.2em, $lineCount: 3, $bgColor: white);